package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Description 订单商品DTO
 * @Author: ph
 * @Date: 2019/10/31 11:13
 */

public class OrderItemDTO {

    /**
     * 限时优惠
     */
    private Integer isTimeDiscount;

    /**
     * 活动ID
     */
    private Long activityId;

    /**
     * 商品ID
     */
    private Long goodsId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 主键
     */
    private Long id;

    /**
     * 商品ID
     */
    private String itemId;

    /**
     * 商品名称
     */
    private String itemName;

    /**
     * 商品图片
     */
    private String itemImage;

    /**
     * 商品规格
     */
    private String itemSpec;

    /**
     * 商品单位
     */
    private String itemUnit;

    /**
     * 商品条码
     */
    private String itemBarcode;

    /**
     * 商品标识
     */
    private String itemSign;

    /**
     * 优惠金额
     */
    private Integer discountAmount;

    /**
     * 打包费
     */
    private Integer packAmount;

    /**
     * 实付金额
     */
    private Integer paidAmount;

    /**
     * 品牌标识
     */
    private String brandSign;

    /**
     * 市场价格
     */
    private Integer marketPrice;

    /**
     * 成本
     */
    private Integer costPrice;

    /**
     * 会员价
     */
    private Integer memberPrice;

    /**
     * 商品价格
     */
    private Integer itemPrice;

    /**
     * 数量
     */
    private BigDecimal num;

    /**
     * F码
     */
    private String fCode;

    /**
     * 优惠信息
     */
    private List<OrderDiscountDTO> discountList;

    /**
     * 扩展信息
     */
    private Map<String, Object> extraMap;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 更新时间
     */
    private Date updatedAt;

    /**
     * 下单时间
     */
    private Date orderAt;

    /**
     * 商品条码
     */
    private String productNo;

    /**
     * 是否赠品
     */
    private Integer isGift;

    /**
     * 商家ID
     */
    private Long sellerId;

    /**
     * 来源id
     */
    private String sourceId;

    /**
     * 商品类型
     * 0:普通商品 1:套餐商品 2:套餐子商品
     */
    private Integer itemType;

    /**
     * 归属商品ID
     */
    private Long ownerId;

    /**
     * 套餐商品列表
     */
    private List<OrderItemDTO> setMealItemList;

    /**
     * 加料信息
     */
    private String batchingInfo;

    /**
     * 商品加料
     */
    private List<OrderItemBatchingDTO> itemBatchingList;

    /**
     * 烘焙商城订单类型区分
     */
    private Integer from;

    public Integer getFrom() {
        return from;
    }

    public void setFrom(Integer from) {
        this.from = from;
    }

    public List<OrderItemBatchingDTO> getItemBatchingList() {
        return itemBatchingList;
    }

    public void setItemBatchingList(List<OrderItemBatchingDTO> itemBatchingList) {
        this.itemBatchingList = itemBatchingList;
    }

    public String getBatchingInfo() {
        return batchingInfo;
    }

    public void setBatchingInfo(String batchingInfo) {
        this.batchingInfo = batchingInfo;
    }

    public Long getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(Long ownerId) {
        this.ownerId = ownerId;
    }

    public Integer getItemType() {
        return itemType;
    }

    public void setItemType(Integer itemType) {
        this.itemType = itemType;
    }

    public List<OrderItemDTO> getSetMealItemList() {
        return setMealItemList;
    }

    public void setSetMealItemList(List<OrderItemDTO> setMealItemList) {
        this.setMealItemList = setMealItemList;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public Date getOrderAt() {
        return orderAt;
    }

    public void setOrderAt(Date orderAt) {
        this.orderAt = orderAt;
    }

    public Integer getIsTimeDiscount() {
        return isTimeDiscount;
    }

    public void setIsTimeDiscount(Integer isTimeDiscount) {
        this.isTimeDiscount = isTimeDiscount;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public Integer getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(Integer paidAmount) {
        this.paidAmount = paidAmount;
    }

    public String getItemImage() {
        return itemImage;
    }

    public void setItemImage(String itemImage) {
        this.itemImage = itemImage;
    }

    public String getItemSpec() {
        return itemSpec;
    }

    public void setItemSpec(String itemSpec) {
        this.itemSpec = itemSpec;
    }

    public String getItemUnit() {
        return itemUnit;
    }

    public void setItemUnit(String itemUnit) {
        this.itemUnit = itemUnit;
    }

    public String getItemBarcode() {
        return itemBarcode;
    }

    public void setItemBarcode(String itemBarcode) {
        this.itemBarcode = itemBarcode;
    }

    public String getItemSign() {
        return itemSign;
    }

    public void setItemSign(String itemSign) {
        this.itemSign = itemSign;
    }

    public Integer getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(Integer discountAmount) {
        this.discountAmount = discountAmount;
    }

    public Integer getPackAmount() {
        return packAmount;
    }

    public void setPackAmount(Integer packAmount) {
        this.packAmount = packAmount;
    }

    public String getBrandSign() {
        return brandSign;
    }

    public void setBrandSign(String brandSign) {
        this.brandSign = brandSign;
    }

    public Integer getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(Integer marketPrice) {
        this.marketPrice = marketPrice;
    }

    public Integer getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(Integer costPrice) {
        this.costPrice = costPrice;
    }

    public Integer getMemberPrice() {
        return memberPrice;
    }

    public void setMemberPrice(Integer memberPrice) {
        this.memberPrice = memberPrice;
    }

    public Integer getItemPrice() {
        return itemPrice;
    }

    public void setItemPrice(Integer itemPrice) {
        this.itemPrice = itemPrice;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public Integer getIsGift() {
        return isGift;
    }

    public void setIsGift(Integer isGift) {
        this.isGift = isGift;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public BigDecimal getNum() {
        return num;
    }

    public void setNum(BigDecimal num) {
        this.num = num;
    }

    public String getfCode() {
        return fCode;
    }

    public void setfCode(String fCode) {
        this.fCode = fCode;
    }

    public List<OrderDiscountDTO> getDiscountList() {
        return discountList;
    }

    public void setDiscountList(List<OrderDiscountDTO> discountList) {
        this.discountList = discountList;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
